/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strfjoin.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/04 14:06:04 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/09 17:46:11 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "extra.h"

char	*ft_strfjoin(char *s1, char *s2)
{
	size_t	i;
	size_t	y;
	char	*out;

	out = ft_calloc((ft_strlen(s1) + ft_strlen(s2) + 1), sizeof(char));
	if (out == NULL)
		return (NULL);
	i = 0;
	if (s1 != NULL)
		while (s1[i] != '\0')
		{
			out[i] = s1[i];
			i++;
		}
	free(s1);
	y = 0;
	if (s2 != NULL)
		while (s2[y] != '\0')
		{
			out[i + y] = s2[y];
			y++;
		}
	free(s2);
	out[i + y] = '\0';
	return (out);
}
